MAPI
AudioSuno

Create Persona

Submit this Suno capability through POST /v1/music/generations with model: "suno-persona".

POST
/v1/music/generations

Authorization

BearerAuth

AuthorizationBearer <token>

使用 MAPI Bearer Token 认证。格式:Authorization: Bearer sk-xxxxxx。

In: header

Request Body

application/json

model*string

固定填写 suno-persona。

task_id*string

产出源音轨的任务 ID,必填。

audio_index?integer

源任务结果 music[] 第几首,1-based,默认 1。

Default1
Range1 <= value
name*string

Persona 名称,必填。

description?string

Persona 描述。对应上游 describe。

styles?string

风格。

vocal_start_s?number

人声片段起点(秒),须 ≥0。建议与 vocal_end_s 成对提供。

Range0 <= value
vocal_end_s?number

人声片段终点(秒),须大于起点且不超过源时长。

Response Body

application/json

application/json

curl -X POST "https://loading/v1/music/generations" \  -H "Content-Type: application/json" \  -d '{    "model": "suno-persona",    "task_id": "task_source123",    "audio_index": 1,    "name": "My Persona",    "description": "温暖、自然的独立流行人声",    "styles": "pop"  }'
{
  "code": 200,
  "message": "success",
  "data": [
    {
      "status": "submitted",
      "task_id": "task_aehCmxJ5YUNOIQGgkhvxaco4T9P2h3Dw"
    }
  ]
}
{
  "code": "invalid_request",
  "message": "name is required",
  "data": null
}

Last updated on